# Class Rectangle

java.lang.Object
org.jmol.util.Rectangle

public class Rectangle extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`height`
`int`
`width`
`int`
`x`
`int`
`y`

## Constructor Summary

Constructors
Constructor
Description
`Rectangle()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`contains(int X, int Y)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### x

public int x

### y

public int y

### width

public int width

### height

public int height

## Constructor Details

### Rectangle

public Rectangle()

## Method Details

### contains

public boolean contains(int X, int Y)